Subject: Re: bug#25627: 25.1; `help-make-xrefs' loads `cl-extra.el' now

From: [email-masked]
Date: Mon, 06 Feb 2017 19:58:12 -0500

Drew Adams <[email-masked]> writes:

> I thought that the point of creating `cl-lib.el' was to give people a
> library of the most-used CL constructs and still let them avoid loading
> all of `cl.el'.  If we are, in effect, loading `cl-extra.el' now nearly
> by default then what's the point of separating out `cl-lib.el'?

AFAIK, the point of cl-lib is to have the CL constructs in a separate
namespace, so that loading cl-lib doesn't change the semantics of
existing code that might not expect it (unlike cl.el).

This change was done by [1: 59b5723c9b], the commit message is a bit
terse.  But it looks like the idea is to use `describe-symbol-backends'
for this in order to make it extendable, specifically to let cl-extra
add an entry for classes.

1: 2015-07-07 02:14:16 -0400 59b5723c9b613f14cd60cd3239cfdbc0d2343b18
  Add online-help support to describe types